$(function(){


$("#close").click(function(){
$("#big-div-cont").hide();	
$("#over").hide();
$(".over_loading").hide();
});



$(".water_mark").click(function(){
//alert("s");	
if($(this).is(':checked')){
$.post("watermark_session.php",{"id":"1"});
}else{
$.post("watermark_session.php",{"id":"0"});	
}	

});


$(".cp_body").hide();
$(".cp_body_tall").hide();
var tot="";
var x=$(".privlidge").length;
for(i=0;i<=x;i++){
xx=Math.round(eval(i));	
if($(".privlidge").eq(xx).is(':checked')){
tot=tot+$(".privlidge").eq(xx).attr("value");	
}	
}
$("#privlidge_total").val(tot);		


$(".cp_row_title").click(function(){

if($(this).attr("alt")=='0'){
$(this).attr("alt","1") ;

}else{
$(this).attr("alt","0") ;	
}





$("#cp_body"+$(this).attr("lang")).slideToggle();
if ($("#cp_arrow"+$(this).attr("lang")).attr("src")=='../img/cp/up.png'){
$("#cp_arrow"+$(this).attr("lang")).attr("src","../img/cp/down.png");	


}else{
$("#cp_arrow"+$(this).attr("lang")).attr("src","../img/cp/up.png");
$(this).css({"background":"#FF6663"});			
}
$(".cp_row_title[alt=0]").css({"background":"#0088FF"});
});	

$(".privlidge").click(function(){
tot="";
for(i=0;i<=x;i++){
xx=Math.round(eval(i));	
if($(".privlidge").eq(xx).is(':checked')){
tot=tot+$(".privlidge").eq(xx).attr("value");	
}	
}
$("#privlidge_total").val(tot);	
});



//generate code and name

code='';





$("#stage").change(function(){
if($(this).val()!="1"){
$("#year>option[value='4']").hide();
$("#year>option[value='5']").hide();
$("#year>option[value='6']").hide();	
}else{
$("#year>option[value='4']").show();
$("#year>option[value='5']").show();
$("#year>option[value='6']").show();
}	

	
});
$("#depart").change(function(){

$("#title").val($("option[value="+$("#depart").val()+"]").html());
$("#desc").val($("option[value="+$("#depart").val()+"]").html());

en_desc=''
if($("option[value="+$("#depart").val()+"]").html()=='غرف النوم'){
en_desc='Bed Rooms'	
}else if($("option[value="+$("#depart").val()+"]").html()=='غرف السفرة'){
en_desc='Dining Rooms'		
}else if($("option[value="+$("#depart").val()+"]").html()=='غرف الاطفال'){
en_desc='Kids Rooms'		
}else if($("option[value="+$("#depart").val()+"]").html()=='الصالونات'){
en_desc='Salon Rooms'		
}else if($("option[value="+$("#depart").val()+"]").html()=='الانتريهات'){
en_desc='Living Rooms'		
}else if($("option[value="+$("#depart").val()+"]").html()=='الانتيكات'){
en_desc='Antiques'		
}else if($("option[value="+$("#depart").val()+"]").html()=='اثاث مكتبى'){
en_desc='Office Furniture'		
}else if($("option[value="+$("#depart").val()+"]").html()=='الترابيزات'){
en_desc='Tables'		
}else if($("option[value="+$("#depart").val()+"]").html()=='شازلونجات'){
en_desc='Shazlongs'		
}else if($("option[value="+$("#depart").val()+"]").html()=='المطابخ'){
en_desc='kitchrens'		
}else if($("option[value="+$("#depart").val()+"]").html()=='اقمشة وستائر'){
en_desc='Curtains'		
}


$("#title_en").val(en_desc);
$("#desc_en").val(en_desc);


code='';
if ($("#depart").val()!=''){	
	
if($("#depart").val()=="1"){code='A' ; }
else if($("#depart").val()=="2"){code='B' ; }
else if($("#depart").val()=="3"){code='C' ; }
else if($("#depart").val()=="4"){code='D' ; }
else if($("#depart").val()=="5"){code='E' ; }
else if($("#depart").val()=="6"){code='F' ; }
else if($("#depart").val()=="7"){code='G' ; }
else if($("#depart").val()=="8"){code='H' ; }
else if($("#depart").val()=="9"){code='I' ; }
else if($("#depart").val()=="10"){code='J' ; }
else if($("#depart").val()=="11"){code='K' ; }
else if($("#depart").val()=="12"){code='L' ; }
else if($("#depart").val()=="13"){code='M' ; }
else if($("#depart").val()=="14"){code='N' ; }
else if($("#depart").val()=="15"){code='O' ; }
else if($("#depart").val()=="16"){code='P' ; }
else if($("#depart").val()=="17"){code='Q' ; }
else if($("#depart").val()=="18"){code='R' ; }
else if($("#depart").val()=="19"){code='S' ; }
else if($("#depart").val()=="20"){code='T' ; }
else if($("#depart").val()=="21"){code='U' ; }
else if($("#depart").val()=="22"){code='Q' ; }
else if($("#depart").val()=="23"){code='W' ; }
else if($("#depart").val()=="24"){code='X' ; }
else if($("#depart").val()=="25"){code='Y' ; }
else if($("#depart").val()=="26"){code='Z' ; }

$("#code_generator").load("code_generator.php",{"depart":$("#depart").val()},function(){
//alert($("#depart").val());
$code_gen="";

﻿   
code_num=$("#code_generator").html();
//alert(code_num);
code_num=code_num.substring(2,code_num.length);
if(isNaN(code_num) || code_num=='﻿ ' || code_num=='' || code_num=='﻿  ' || code_num=='﻿  ' ||code_num=='﻿   ' ){
code_num=1;	
}else{
code_num=parseInt(code_num)+1;	
}


if(isNaN(code_num)){
$("#code").val(code+"1");	
}else{
$("#code").val(code+code_num);
}




});

}else{
$("#code").val('');	
}

});

$(".wrapper").click(function(){
$(this).next().trigger("click");
});

//alert("Ds");




$("input[value=job]").click(function(){
$("#search_text").hide();
$("#specific_job_list").hide();
$("#main_job_list").show();

});

$(".read").live("click",function(){
	
id=$(this).attr("read_id");	
type=$(this).attr("type");	
table=$(this).attr("table");	
if(type=="1"){ type="0"; }else{ type="1"; }
//alert(type);

$.post("make_read.php",{"id":id,"type":type,"table":table},function(data){

$("#read"+id).attr("type",type);	
if(type=="1"){ $("#read"+id).find('img').attr("src","../img/read.png"); }
else{ $("#read"+id).find('img').attr("src","../img/unread.png"); }
alert("تم التحديث");


});	

});	


$(".approve").live("click",function(){

id=$(this).attr("approve_id");	
type=$(this).attr("type");	
if(type=="1"){ type="0"; }else{ type="1"; }


$.post("make_approve.php",{"id":id,"type":type},function(data){

$("#approve"+id).attr("type",type);	
if(type=="1"){ $("#approve"+id).find('img').attr("src","../img/approve_yes.png"); }
else{ $("#approve"+id).find('img').attr("src","../img/approve_no.png"); }
alert("تم التحديث");


});	

});	

//ارسال البريد الالكترونى
				
			
			$("#send_button").click(function(){
			email=$("#send_email").val();
			subject=$("#subject").val();
			message=$("#send_message").val();
		
			$.post("ajax_send_mail.php",{"subject":subject,"message":message,"email":email},function(data){
			
			});
			});	
			
	$("#send_multi_button").click(function(){		

$.ajax({
    type : 'POST',
    url : 'ajax_send_mail_multi.php',
    data: {
            data: $("#mail_multi").serialize()
          },
    success: function(data){ }
});

});


$('.print_row').click(function (event) {
        event.preventDefault();
        window.open($(this).attr("pop"), "طباعة", "width=600, height=850, scrollbars=yes");
    });
    
   $("#print_page").click(function(){
   	window.print();
   }); 
    
    



});
